package com.foreverwin.mesnac.anomaly.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author zjw
 * @since 2021-09-09
 */

@TableName("Z_UPLOAD_PICTURES")

public class UploadPictures extends Model<UploadPictures> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 图片路径
     */
   @TableField("PICTURE_PATH")
   private String picturePath;
    /**
     * 图片路径详细地址
     */
   @TableField("PICTURE_ADDRESS")
   private String pictureAddress;
    /**
     * 单号
     */
   @TableField("OBJECT_BO")
   private String objectBo;
    /**
     * 数量
     */
   @TableField("NUM")
   private String num;
    /**
     * 类型
     */
   @TableField("TYPE")
   private String type;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("STATUS")
   private String status;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getPicturePath() {
      return picturePath;
   }

   public void setPicturePath(String picturePath) {
      this.picturePath = picturePath;
   }

   public String getPictureAddress() {
      return pictureAddress;
   }

   public void setPictureAddress(String pictureAddress) {
      this.pictureAddress = pictureAddress;
   }

   public String getObjectBo() {
      return objectBo;
   }

   public void setObjectBo(String objectBo) {
      this.objectBo = objectBo;
   }

   public String getNum() {
      return num;
   }

   public void setNum(String num) {
      this.num = num;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String PICTURE_PATH = "PICTURE_PATH";

public static final String PICTURE_ADDRESS = "PICTURE_ADDRESS";

public static final String OBJECT_BO = "OBJECT_BO";

public static final String NUM = "NUM";

public static final String TYPE = "TYPE";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String STATUS = "STATUS";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "UploadPictures{" +
         "handle = " + handle +
         ", site = " + site +
         ", picturePath = " + picturePath +
         ", pictureAddress = " + pictureAddress +
         ", objectBo = " + objectBo +
         ", num = " + num +
         ", type = " + type +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", status = " + status +
         "}";
   }
}